Loading...
Searching...
No Matches
gtsam::AlgebraicDecisionTree< L >::Ring Struct Reference

## Detailed Description

template<typename L>
struct gtsam::AlgebraicDecisionTree< L >::Ring

The Real ring with addition and multiplication.

## Static Public Member Functions

static double | zero ()
static double | one ()
static double | add (const double &a, const double &b)
static double | max (const double &a, const double &b)
static double | mul (const double &a, const double &b)
static double | div (const double &a, const double &b)
static double | id (const double &x)

The documentation for this struct was generated from the following file:

- /build/gtsam-RkN8wG/gtsam-4.2.2+dfsg/gtsam/discrete/AlgebraicDecisionTree.h